import { TaskQueue } from "aurelia-framework";
import { UIColumn } from "./ui-column";
import { UITableAction } from "./ui-table-action";
export declare class HeaderCell {
    private element;
    private taskQueue;
    column: UIColumn | UITableAction;
    applyColspan: Boolean;
    sortBy: string;
    sortOrder: string;
    protected el: any;
    protected overrideContext: any;
    private view;
    private _title;
    constructor(element: Element, taskQueue: TaskQueue);
    bind(bindingContext: Object, overrideContext?: any): void;
    protected fireSortEvent(): void;
    attached(): void;
    get title(): string;
    setTitle(): void;
    compileHeader(el: Element): boolean;
    isActionColumn(): boolean;
}
